Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class StylesheetDescription

    java.lang.Object
      org.jasig.portal.StylesheetDescription

    public class StylesheetDescription

extends java.lang.Object

Combines all of the information required to describe an XSLT stylesheet.

Version:
  $Revision: 1.12 $
Author:
  Peter Kharchenko, pkharchenko@interactivebusiness.com

Nested Class Summary
`(package private) class` | `StylesheetDescription.PIAttributes` Parses a processing instruction's (PI) attributes for easy retrieval.

Field Summary
`boolean` | `b_alternate`
`java.lang.String` | `s_charset`
`java.lang.String` | `s_href`
`java.lang.String` | `s_media`
`java.lang.String` | `s_title`
`java.lang.String` | `s_type`

Constructor Summary
`StylesheetDescription()`
`StylesheetDescription(org.w3c.dom.ProcessingInstruction pi)`
`StylesheetDescription(java.lang.String data)`
`StylesheetDescription(java.lang.String uri, java.lang.String type)`
`StylesheetDescription(java.lang.String uri, java.lang.String type, java.lang.String title, java.lang.String media, java.lang.String charset, boolean alternate)`

Method Summary
`boolean` | `getAlternate()`
`java.lang.String` | `getCharset()`
`java.lang.String` | `getMedia()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`java.lang.String` | `getURI()`
`void` | `setAlternate(boolean alternate)`
`void` | `setCharset(java.lang.String charset)`
`void` | `setMedia(java.lang.String media)`
`void` | `setTitle(java.lang.String title)`
`void` | `setType(java.lang.String type)`
`void` | `setURI(java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_href

    public java.lang.String s_href

### s_type

    public java.lang.String s_type

### s_title

    public java.lang.String s_title

### s_media

    public java.lang.String s_media

### s_charset

    public java.lang.String s_charset

### b_alternate

    public boolean b_alternate

Constructor Detail

### StylesheetDescription

    public StylesheetDescription()

### StylesheetDescription

    public StylesheetDescription(java.lang.String uri,
                                 java.lang.String type)

### StylesheetDescription

    public StylesheetDescription(java.lang.String uri,
                                 java.lang.String type,
                                 java.lang.String title,
                                 java.lang.String media,
                                 java.lang.String charset,
                                 boolean alternate)

### StylesheetDescription

    public StylesheetDescription(org.w3c.dom.ProcessingInstruction pi)

### StylesheetDescription

    public StylesheetDescription(java.lang.String data)

Method Detail

### getTitle

    public java.lang.String getTitle()

### getURI

    public java.lang.String getURI()

### getType

    public java.lang.String getType()

### getMedia

    public java.lang.String getMedia()

### getAlternate

    public boolean getAlternate()

### getCharset

    public java.lang.String getCharset()

### setTitle

    public void setTitle(java.lang.String title)

### setType

    public void setType(java.lang.String type)

### setMedia

    public void setMedia(java.lang.String media)

### setURI

    public void setURI(java.lang.String uri)

### setCharset

    public void setCharset(java.lang.String charset)

### setAlternate

    public void setAlternate(boolean alternate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD